Bug 499476 - Review Request: orbited - A browser(javascript)->tcp bridge
Review Request: orbited - A browser(javascript)->tcp bridge
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 499475
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 15:28 EDT by Tom "spot" Callaway
Modified: 2010-03-17 23:32 EDT (History)
7 users (show)

See Also:
Fixed In Version: orbited-0.7.10-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-17 23:25:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-05-06 15:28:36 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-orbited.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-orbited-0.7.9-1.fc11.src.rpm
Description: 
Orbited provides a pure JavaScript/HTML socket in the browser. It is a web
router and firewall that allows you to integrate web applications with
arbitrary back-end systems. You can implement any network protocol in the
browser—without resorting to plugins.

Koji Scratch Build (F12): http://koji.fedoraproject.org/koji/taskinfo?taskID=1339081
Comment 1 Tom "spot" Callaway 2009-05-06 15:33:42 EDT
I remembered why I didn't name this python-orbited... there is a separate pyorbited package that is the client bits. To minimize confusion, I've renamed it to orbited. No other changes were made.

New SPEC: http://www.auroralinux.org/people/spot/review/new/orbited.spec
New SRPM: http://www.auroralinux.org/people/spot/review/new/orbited-0.7.9-1.fc11.src.rpm

Koji Scratch Build (F12): http://koji.fedoraproject.org/koji/taskinfo?taskID=1339097
Comment 2 Jason Tibbitts 2009-06-03 19:52:10 EDT
Doesn't this need an initscript to start the daemon?  What about the config file in /etc/orbited.cfg?
Comment 3 Brennan Ashton 2009-07-26 14:59:46 EDT
Ping?
could you please add the daemon and config file.
http://www.orbited.org/wiki/Deployment

Once I see this activity to verify this is not stale I will start the review.
Comment 4 Luke Macken 2009-09-18 16:56:37 EDT
(In reply to comment #2)
> Doesn't this need an initscript to start the daemon?  What about the config
> file in /etc/orbited.cfg?  

Yes, I think this would be a good idea.
Comment 5 Tom "spot" Callaway 2009-09-18 17:02:45 EDT
Okay, lemme see what I can whip up (now that chromium is pushed).
Comment 6 Tom "spot" Callaway 2009-09-18 23:33:56 EDT
We'd need for orbited to have some support of running as a daemon to do this right. Luke and I whipped up something and he is going to run it past upstream.
Comment 7 Luke Macken 2009-10-07 15:34:28 EDT
I sent a modified version of spots patch upstream for inclusion.  I also tested the patch locally, and it seems to do the trick.

http://groups.google.com/group/orbited-users/browse_thread/thread/2fe09fefb9295421
Comment 8 Luke Macken 2009-10-07 15:38:31 EDT
http://lmacken.fedorapeople.org/rpms/orbited-0.7.10-1.fc11.src.rpm
http://lmacken.fedorapeople.org/rpms/orbited.spec

* Wed Oct 07 2009 Luke Macken <lmacken@redhat.com> - 0.7.10-1
- Update to 0.7.10
- Apply a patch to add a --daemon argument

* Sat Aug 08 2009 Luke Macken <lmacken@redhat.com> - 0.7.9-2
- Ship a working version of urlparse for Orbited on RHEL5
  http://orbited.org/ticket/24
Comment 9 Fabian Deutsch 2009-11-23 20:14:53 EST
X Daemon
There is still need for some initscript/upstart-integration and config-file as discussed earlier.
It is a standalone daemon, is it?

X User
As noted in http://www.orbited.org/browser/trunk/daemon/orbited.cfg, the daemon can fall back to some user, so it might be good to add an appropriate user.

X SPEC: Wrong indentation of Source1 and Patch0

X KOJI: Ok.

X RPMLINT:
$ rpmlint -v /home/fabiand/Downloads/orbited-0.7.10-1.fc12.*
orbited.noarch: I: checking
orbited.noarch: W: spelling-error-in-summary en_US javascript
orbited.noarch: W: spelling-error-in-summary en_US tcp
orbited.noarch: W: spelling-error-in-description en_US plugins
orbited.noarch: W: no-documentation
orbited.src: I: checking
orbited.src: W: spelling-error-in-summary en_US javascript
orbited.src: W: spelling-error-in-summary en_US tcp
orbited.src: W: spelling-error-in-description en_US plugins
orbited.src: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 4)
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
- Correct spelling
- Add documentation

Note: This is my first review, thanks for some constructive feedback :)
Comment 10 Mike McGrath 2009-12-02 14:43:02 EST
Seems this also needs python-setuptools:

/usr/bin/orbited -c orbited.cfg
Traceback (most recent call last):
  File "/usr/bin/orbited", line 5, in ?
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources
Comment 11 Luke Macken 2009-12-11 16:04:13 EST
http://lmacken.fedorapeople.org/rpms/orbited-0.7.10-2.fc11.src.rpm
http://lmacken.fedorapeople.org/rpms/orbited.spec

* Fri Nov 13 2009 Luke Macken <lmacken@redhat.com> - 0.7.10-2
- Add an init script
- Add the default configuration file
- Patch the default config to enable epoll and to disable access
- Remove python-demjson requirement
- Require python-setuptools
Comment 12 Brennan Ashton 2009-12-13 11:40:39 EST
Alright, it looks like the necessary changes have been made, and I note that you have passed the daemon patch to upstream 
http://groups.google.com/group/orbited-users/browse_thread/thread/2fe09fefb9295421/cf1ffe4e4c795e4d?lnk=gst&q=daemon#cf1ffe4e4c795e4d 

I APPROVE this package, please request CVS now.
Comment 13 Fabian Deutsch 2009-12-13 12:00:56 EST
A quick rpmlint gives:
$ rpmlint orbited-0.7.10-2.fc11.src.rpm 
orbited.src: W: strange-permission orbited.init 0775
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 14 Luke Macken 2010-01-05 21:12:28 EST
New Package CVS Request
=======================
Package Name: orbited
Short Description: A browser(javascript)->tcp bridge 
Owners: lmacken
Branches: F-11 F-12 EL-5
Comment 15 Luke Macken 2010-01-05 21:40:15 EST
(In reply to comment #13)
> A quick rpmlint gives:
> $ rpmlint orbited-0.7.10-2.fc11.src.rpm 
> orbited.src: W: strange-permission orbited.init 0775
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.  

I'll fix that before I commit it to CVS, thanks.
Comment 16 Kevin Fenzi 2010-01-06 16:33:13 EST
cvs done.
Comment 17 Fedora Update System 2010-01-06 18:32:58 EST
orbited-0.7.10-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/orbited-0.7.10-3.fc12
Comment 18 Fedora Update System 2010-01-06 18:33:04 EST
orbited-0.7.10-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/orbited-0.7.10-3.el5
Comment 19 Fedora Update System 2010-01-06 18:33:08 EST
orbited-0.7.10-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/orbited-0.7.10-3.fc11
Comment 20 Fedora Update System 2010-01-07 16:42:13 EST
orbited-0.7.10-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update orbited'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0030
Comment 21 Fedora Update System 2010-01-07 16:47:23 EST
orbited-0.7.10-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update orbited'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0281
Comment 22 Fedora Update System 2010-01-07 16:56:46 EST
orbited-0.7.10-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update orbited'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0315
Comment 23 Fedora Update System 2010-03-17 23:25:10 EDT
orbited-0.7.10-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-03-17 23:32:02 EDT
orbited-0.7.10-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.